aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/hgrep.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bashrc.d/hgrep.bash')
-rw-r--r--bash/bashrc.d/hgrep.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/bash/bashrc.d/hgrep.bash b/bash/bashrc.d/hgrep.bash
index e5a5d4c9..2f7f8d54 100644
--- a/bash/bashrc.d/hgrep.bash
+++ b/bash/bashrc.d/hgrep.bash
@@ -8,7 +8,7 @@ hgrep() {
printf >&2 '%s: Need a pattern\n' "$FUNCNAME"
exit 2
fi
- if ! [[ $HISTFILE ]] ; then
+ if ! [[ -n $HISTFILE ]] ; then
printf >&2 '%s: No HISTFILE\n' "$FUNCNAME"
exit 2
fi